/*
 * Exclusion.cpp
 *
 * Copyright Notice: see copyright.txt
 *
 * Date: 3/8/2012 (D/M/Y)
 * Author: Dmitrij Lioubartsev
 * Email: dmitrijl42@gmail.com
 *
 * For class info, see Exclusion.h.
 */

#include "Exclusion.h"

/*
 * Constructor that loads the excludeString. The following syntax is allowed:
 * 1. "Al", a simple element string. This will be interpret as "Al-O-Al".
 * 2. "Al-Al", two elements with one bond. This will be interpret as "Al-O-Al"
 * 3. "Al-O-Al", this will obviously be interpret as "Al-O-Al"
 */
Exclusion::Exclusion(string exs) {
	unsigned int s1 = 0;
	while(exs[s1] != '-' && s1 < exs.length()) {
		s1++;
	}
	first = exs.substr(0,s1);
	if(s1 == exs.length()) { //if string does not have any '-'
		//say, string is "Al". Then, assuming exclude string is "Al-O-Al".
		binder = DOESNT_MATTER;
		second = first;
	} else {
		unsigned int s2 = s1 + 1; //now get second part of string
		while(exs[s2] != '-' && s2 < exs.length()) {
			s2++;
		}
		if(s2 == exs.length()) {
			binder = DOESNT_MATTER;
			second = exs.substr(s1+1,s2-s1-1);
		} else {
			binder = exs.substr(s1+1,s2-s1-1);
			second = exs.substr(s2+1,exs.length()-s2-1);
		}
	}


}

Exclusion::~Exclusion() {
	// do nothing
}

